/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  text-transform: capitalize;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
  
}
body::-webkit-scrollbar {
  width: 0.25rem;
}
body::-webkit-scrollbar-track {
  background: black;
}
body{
 background-color: rgba(0, 0,0, 1);
}
body::-webkit-scrollbar-thumb {
  background: var(--primary);
}
:root {
  /* Colors */
  --bg-color: #000000;
  --primary: #3f937a;
  --bg: #c8e7df;
  --new_new_primary: #01a29c;
  --new_primary:rgb(8, 138, 133);
  --hover: #008170;


  --white: #fff;
  --black: #222;
  --pink: #f60091;
  --grey: #444;
  --grey2: #959595;
  --grey-alt: #d1e2e9;
  --yellow: #ffd800;
  --green: #59b210;

  /* Fonts */
  --logo-font: 2rem;
  --nav_menu-font: 1rem;
  --h1-font: 2.2rem;
  --h2-font: 1.1rem;
  --p-font: 0.9rem;
  --spacing: 1px;
  /* Margins */
  --m-1: 0.4rem;
  --m-4: 2rem;
}
html {
  background: #000;
  color: #fff;
}
section {
  padding: 50px 100px;
}
header {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  /* background: var(--bg-color); */
  background: rgba(0, 0, 0, 0.7);
  padding: 18px 100px;
  box-shadow: 0 0.5rem 50rem rgba(0, 0, 0, 0.1);
}
.logo {
  text-transform: uppercase;
  font-size: var(--logo-font);
  font-weight: 600;
  color: var(--primary);
}
.navbar {
  display: flex;
}
.navbar a {
  font-size: 1rem;
  font-family: "Poppins", sans-serif;
  padding: 10px 20px;
  color: white;
  font-weight: 500;
}

header .navbar li .active,header .navbar a:hover {
  font-size: 1.5rem;
  color: var(--primary);
}
#menu-icon {
  font-size: 2rem;
  cursor: pointer;
  display: none;
}

.heading {
  display: flex;
  justify-content: center;
  padding: 1.4rem 0;
}
.heading h1 {
  font-size: var(--h1-font);
  font-weight: 600;
  text-align: justify;
  color: var(--primary);
  border-bottom: 2px solid var(--primary);
}

/* Home */
.home {
  position: relative;
  width: 100%;
  min-height: 100vh;
  color: #000000;
  display: flex;
  background-image: linear-gradient(to right, rgba(0,0,0,0.3), rgba(0,0,0,0.3)),url(Images/new_Home_bg.jpg);
  background-repeat: no-repeat;
  background-size: contain;
  align-items: center;
  /* background-color: var(--bg-color);*/
  /* background: url(images/background.png) no-repeat; */
  /* background: url(img/bg.jpg) no-repeat; */
  /* background: url(img/toon/bg.jpg) no-repeat; */
  background-size: cover;
  background-position: right center;
}
.home-text {
  max-width: 500px;
}
.home-text h1 {
  font-size: var(--h1-font);
  color: white;
  font-family: "Poppins", sans-serif;
  letter-spacing: var(--spacing);
}
.home-text span {
  color: var(--primary);
}
.home-text h2 {
  font-size: var(--h2-font);
  margin: var(--m-1) 0;
  text-align: justify;
  font-family: "Poppins", sans-serif;
  color: white;
  letter-spacing: var(--spacing);
}
.home-text p {
  font-size: var(--p-font);
  margin-bottom: var(--m-4);
  line-height: 22px;
  max-width: 71%;
}
.btn {
  padding: 10px 22px;
  background: var(--primary);
  border-radius: 12px;
  color: #fff;
}
.btn:hover {
  background: linear-gradient(#01a29c,#008170);
}
.company_intro {
  text-align: justify;
  font-size: var(--p-font);
}


/* About Company */

.about-text h1 {
  font-size: var(--h1-font);
  color: white;
  letter-spacing: var(--spacing);
}
.about-text span {
  color: var(--primary);
}

.about-text p {
  font-size: var(--p-font);
  margin-bottom: var(--m-4);
  line-height: 22px;
  max-width: 71%;
}

.company_intro {
  text-align: justify;
  color: #000;
}

.about {
  width: 100%;
  min-height: 84vh;
  display: flex;
  background: var(--bg);
  align-items: center;
  justify-content: space-between;
}
.about-img {
  max-width: 400px;
  margin-left: 90px;
  max-height: 500px;
  background-color: var(--bg);
  padding: 40px;
}

.about_icon{
  background-color: #fff;
  width: 80px;
  height: 80px;
  box-shadow: 5px 10px var(--primary);
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 5px;
  border-radius: 12px;
}

.about_icon img{
  width: 50px;
  padding: 10px;
  height: 50px;
}

.about_icon_title h2{
  max-width: 150px;
  background-color: var(--bg);
  margin-top: 15px;
  margin-bottom: 25px;
  text-align: center;
  font-size: var(--h2-font);
  color: var(--primary);
}

.img_about {
  border-radius: 10%;
}

.about-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}
.about-text {
  max-width: 600px;
}
.about-text h2 {
  font-size: var(--h2-font);
  color: var(--primary);
}
.about-text h1 {

  justify-content: left;
  font-size: var(--h1-font);
  font-weight: 600;
  color: #000;
}

.about-text p {
  font-size: var(--p-font);
  margin: 1rem 0 var(--m-4);
  text-align: justify;
  font-weight: 300;
}


.about_features:hover {
  transform: scale(1.2);
}

/* Servies */

.service-content {
  display: flex;
  background-color: white;
  justify-content: center;
  flex-wrap: wrap;
}
.service{
  background-color: white;
  width: 100%;
  min-height: 75vh;
}

.p-box_servies_1_new {
  display: grid;
  flex-direction: column;
  width: 310px;
  height: 620px;
  /* background-color: rgb(255,255,255); */
  background-color: var(--bg);
  background-repeat: no-repeat;
  background-size: contain;
  box-shadow: 0.1rem 0.5rem 1.5rem rgba(255, 255, 255, 0.5);;
  /* background: #000;
  background: linear-gradient(to right, rgba(0,0,0,0.5), rgba(0,0,0,0.5)),url(Servies/1.jpg);
  border: 3px solid var(--primary); */
  margin: 20px;
  border-radius: 30px;
  padding: 20px;
  text-align: center;
}

.services_image img{

  max-width: 240px;
  max-height: 260px;
  margin: auto;

}

.services_title h2{
  font-size: 1.5rem;
  font-weight: 600;
  color: #000;
  margin-bottom: 10px;
}

.services_desc p{
  font-size: var(--p-font);
  color: #000;
  margin: auto;
  margin-bottom: 10px;
  text-align: justify;
}

.p-box_servies_1_new:hover{
  transform: scale(1.1);
}

/* Product Content */

.product-content {
  display: flex;
  background-color: var(--bg);
  justify-content: center;
  flex-wrap: wrap;
}
.product{
  background-color: var(--bg);
  width: 100%;
  min-height: 75vh;
}

.p-box_product_1_new {
  display: grid;
  flex-direction: column;
  width: 310px;
  height: 850px;
  background-color: rgb(255,255,255);
  background-repeat: no-repeat;
  background-size: contain;
  
  /* background: #000;
  background: linear-gradient(to right, rgba(0,0,0,0.5), rgba(0,0,0,0.5)),url(Servies/1.jpg);
  border: 3px solid var(--primary); */
  margin: 20px;
  border-radius: 30px;
  padding: 20px;
  text-align: center;
}

.product_main_title h2{
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--primary);
  margin-bottom: 10px;
}

.product_title h2{
  font-size: 1.5rem;
  font-weight: 600;
  color: #000;
  margin-bottom: 10px;
}

.product_image img{
  max-width: 240px;
  max-height: 260px;
  margin: auto;
}

.line{
  border-bottom: 0.5px solid rgba(0, 0, 0, 0.3);
}

.p-box_servies_h2{
  font-weight: 600;
  color: white;
  font-size: 30px;
  margin: 10px 0;
}
.p-box_servies p {
  font-size: var(--p-font);
  font-weight: 400;
}

.p-box_servies_1:hover, .p-box_servies_2:hover, .p-box_servies_3:hover{
  transform: scale(1.2);
}

.carousel {
  background: #fff;
}

.carousel-cell {
  margin-right: 10px;
  background-color: #fff;
  counter-increment: carousel-cell;
}

/* cell number */
.carousel-cell:before {
  display: block;
}


 /* Contact */

.contact{
  background: var(--bg);
}
.contact-content {
  display: flex;
  background: var(--bg);
  align-items: center;
  justify-content: space-around;
}
.contact-info {
  max-width: 500px;
}

.p_email{
  text-transform: lowercase;
}

.info-box {
  display: flex;
  align-items: center;
  margin: 1rem 0;
}
.info-box i {
  font-size: 20px;
  color: var(--primary);
}
.info-box p {
  margin-left: 1rem;
  font-weight: 400;
  color: var(--primary);
}

.social a:hover {
  transform: scale(1.5);
}

.social {
  display: flex;
  align-items: center;
}
.social a {
  margin-right: 1rem;
}
form {
  max-width: 360px;
  margin-top: 4rem;
}
form input,
form textarea {
  width: 100%;
  font-size: 14px;
  padding: 1rem;
  border-radius: 0.5rem;
  border: none;
  outline: none;
  margin-bottom: 12px;
  background: white;
  color: var(--primary);
  border-bottom: 1px solid var(--primary);
}
form textarea {
  height: 200px;
  resize: none;
}
.contact-button {
  max-width: 100px;
  font-weight: 600;
  background: var(--primary);
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  cursor: pointer;
}
.contact-button:hover{
  background: linear-gradient(#01a29c,#008170);
}
.copyright {
  padding: 20px;
  text-align: center;
  background-color: var(--primary);
}


/* Testimonies */

.testimonies{
  background: #fff;
  width: 100%;
  min-height: 50vh;
}

.c-box{
  display: grid;
  flex-direction: column;
  text-align: center;
  width: 520px;
  height: 400px;
  margin: 20px;
  background: white;
  border-radius: 30px;
  padding: 30px;
  text-align: left;
}
.c-box-content{
  align-items: center;
  text-align: center;
  background: white;
  margin-left: 10px;
}

.c-img {
  width: 100px;
  height: 100px;
  padding: 15px;
  margin: auto;
}

.c-img img {
  float: center;
  margin: auto;
  height: 100%;
  width: 100%;
  border-radius: 25%;
}

.c-box h2{
  font-size: var(--h2-font);
  font-weight: 600;
  color: var(--primary);
  margin: 10px
}
.c-box p{
  font-size: var(--p-font);
  color: var(--primary);
  font-weight: 400;
}

/* 
  --primary: #01a29c;
  --hover: #008170; */

.c-box:hover, .p-box:hover {
  transform: scale(1.2);
}
.p-img {
  width: 90px;
  height: 90px;
}
.p-img img {
  width: 100%;
  height: 100%;
  border-radius: 20%;
}

.p-box h2 {
  font-size: var(--h2-font);
  font-weight: 600;
  margin: 10px 0;
}
.p-box p {
  font-size: var(--p-font);
  font-weight: 400;
}

/* Footer */

/* ========= Footer ======== */
.footer {
  background-color: var(--primary);
  line-height: 2.4rem;
}

.footer-center span {
  margin-right: 1rem;
}

.footer-container {
  display: grid;
  padding: 3rem 3rem;
  grid-template-columns: repeat(4, 1fr);
  color: var(--white);
}

.footer-center a:link,
.footer-center a:visited {
  display: block;
  color: #f1f1f1;
  font-size: 0.9rem;
  color: white;
  transition: 0.6s;
}

.footer-center a:hover {
  transform: scale(1.2);
}

.footer-center div {
  color: #f1f1f1;
  font-size: 1.1rem;
}

.footer-center h3 {
  font-size: 1.2rem;
  color: white;
  font-weight: 400;
  margin-bottom: 1rem;
}

@media only screen and (max-width: 998px) {
  .footer-container {
    grid-template-columns: repeat(2, 1fr);
    row-gap: 2rem;
  }
}

@media only screen and (max-width: 768px) {
  .footer-container {
    grid-template-columns: 1fr;
    row-gap: 2rem;
  }
}

/* All Products */
.section .top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 4rem;
}

.all-products .top select {
  font-family: "Poppins", sans-serif;
  width: 20rem;
  padding: 1rem;
  border: 1px solid #ccc;
  appearance: none;
  outline: none;
}

form {
  position: relative;
  z-index: 1;
}

form span {
  position: absolute;
  top: 50%;
  right: 1rem;
  transform: translateY(-50%);
  font-size: 2rem;
  z-index: 0;
}

@media only screen and (max-width: 768px) {
  .all-products .top select {
    width: 15rem;
  }
}

